import { Placement } from '@popperjs/core/lib/enums';
import { PopTrigger, SocialPlatforms } from '../types/enums';
import type { ShareProps } from './utils/share';
import type { SocialPlatformComp } from './platforms';
interface ShareMeta {
    url: string;
    title: string;
    desc?: string;
    image?: string;
}
export interface SharePopupProps {
    key?: string;
    platforms: SocialPlatformComp[];
    meta: ShareMeta;
    ref: HTMLElement | null;
    trigger: PopTrigger;
    placement: Placement;
    zIndex?: number;
    options?: SharePopupOptions;
}
export interface SharePopupOptions {
    wechatSharePage?: string;
}
declare const useSharePopup: (props: SharePopupProps) => {
    root: any;
    instance: any;
    el: any;
    popper: import("@popperjs/core/lib/types").Instance;
} | null | undefined;
export { useSharePopup, SocialPlatforms, PopTrigger, ShareProps };
