var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __objRest = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};
import { inject, isVue2, h as h$1, defineComponent, isVue3 } from "vue-demi";
var SocialPlatforms;
(function(SocialPlatforms2) {
  SocialPlatforms2["WEIBO"] = "weibo";
  SocialPlatforms2["QZONE"] = "qzone";
  SocialPlatforms2["WECHAT"] = "wechat";
  SocialPlatforms2["DOUBAN"] = "douban";
  SocialPlatforms2["TWITTER"] = "twitter";
})(SocialPlatforms || (SocialPlatforms = {}));
var PopTrigger;
(function(PopTrigger2) {
  PopTrigger2["HOVER"] = "hover";
  PopTrigger2["CLICK"] = "click";
})(PopTrigger || (PopTrigger = {}));
const getShareUrl = {
  [SocialPlatforms.QZONE]: (props) => {
    const { title, url, image, desc } = props;
    let shareUrl = `http://sns.qzone.qq.com/cgi-bin/qzshare/cgi_qzshare_onekey?title=${encodeURIComponent(title)}&url=${url}`;
    image && (shareUrl += `&pics=${image}`);
    desc && (shareUrl += `&desc=${encodeURIComponent(desc)}`);
    return shareUrl;
  },
  [SocialPlatforms.WEIBO]: (props) => {
    const { title, url, image } = props;
    let shareUrl = `http://v.t.sina.com.cn/share/share.php?title=${encodeURIComponent(title)}&url=${url}`;
    image && (shareUrl += `&pic=${image}`);
    return shareUrl;
  },
  [SocialPlatforms.DOUBAN]: (props) => {
    let shareUrl = `https://www.douban.com/share/service?name=${encodeURIComponent(props.title)}&href=${props.url}`;
    if (props.image) {
      shareUrl += `&image=${props.image}`;
    }
    return shareUrl;
  },
  [SocialPlatforms.WECHAT]: (props) => {
    const { wechatSharePage, title, url } = props;
    if (!wechatSharePage) {
      console.error("Wechat share page was not specified.");
      return "";
    }
    return wechatSharePage.replace("{url}", encodeURIComponent(url)).replace("{title}", encodeURIComponent(title));
  },
  [SocialPlatforms.TWITTER]: (props) => {
    const { title, url } = props;
    return `https://twitter.com/intent/tweet?text=${encodeURIComponent(title)}&url=${url}`;
  }
};
const openShare = (platform, props) => {
  const shareUrl = getShareUrl[platform](props);
  if (shareUrl) {
    window.open(shareUrl, "_blank");
  }
};
const useOpenShare = (platform) => {
  const shareProps = inject("shareProps");
  const handleClick = () => {
    if (shareProps) {
      openShare(platform, shareProps);
    } else {
      console.error("Share props is empty, cannot continue.");
    }
  };
  return handleClick;
};
const adaptOnsV3 = (ons) => {
  if (!ons)
    return null;
  return Object.entries(ons).reduce((ret, [key, handler]) => {
    key = key.charAt(0).toUpperCase() + key.slice(1);
    key = `on${key}`;
    return __spreadProps(__spreadValues({}, ret), { [key]: handler });
  }, {});
};
const h = (type, options = {}, chidren) => {
  if (isVue2)
    return h$1(type, options, chidren);
  const _a = options, { props, domProps, on } = _a, extraOptions = __objRest(_a, ["props", "domProps", "on"]);
  const ons = adaptOnsV3(on);
  const params = __spreadValues(__spreadValues(__spreadValues(__spreadValues({}, extraOptions), props), domProps), ons);
  return h$1(type, params, chidren);
};
var qzone = defineComponent({
  name: SocialPlatforms.QZONE,
  setup() {
    const handleClick = useOpenShare(SocialPlatforms.QZONE);
    return () => h("div", __spreadValues({
      class: "vue-share-popup__item",
      style: "background-color: #ffcd00",
      on: {
        click: handleClick
      }
    }, isVue2 ? {
      domProps: {
        innerHTML: '<svg viewBox="0 0 32 32"><path d="M31.979 12.271c-.042-.135-.167-.297-.443-.344l-9.802-1.875s-.141-.031-.266-.094c-.12-.063-.167-.224-.167-.224s-4.708-8.458-4.839-8.708c-.13-.25-.323-.318-.464-.318s-.333.068-.464.318c-.13.25-4.839 8.708-4.839 8.708s-.047.161-.167.224c-.125.063-.266.094-.266.094S.736 11.875.46 11.922c-.276.052-.401.214-.443.344a.632.632 0 0 0 .167.599l7.151 7.323s.094.104.156.229c.021.135.005.281.005.281s-1.583 9.656-1.625 9.932a.61.61 0 0 0 .214.573c.109.083.307.141.557.016c.255-.125 9.083-4.349 9.083-4.349s.13-.057.271-.078c.135-.026.266.078.266.078s8.833 4.224 9.083 4.349s.453.068.563-.016a.63.63 0 0 0 .214-.573l-1.245-7.568c1.172-.724 1.901-1.385 2.469-2.333c-3.458 1.292-8.01 2.292-12.552 2.49c-1.224.052-3.214.13-4.635-.021c-.901-.094-1.557-.193-1.656-.583c-.068-.286.073-.615.729-1.109c1.271-.958 2.542-1.917 3.813-2.87c1.714-1.292 4.745-3.297 4.745-3.646c0-.375-2.859-1.036-5.38-1.036c-2.594 0-3.036.172-3.75.224c-.651.042-1.026.005-1.073-.188c-.078-.328.245-.516.786-.755c.943-.422 2.479-.792 2.646-.833c.26-.073 4.109-1.078 7.49-.714c1.755.182 4.328.891 4.328 1.698c0 .458-2.297 1.995-4.302 3.464c-1.531 1.125-2.958 2.083-2.958 2.25c0 .458 4.714 1.656 8.922 1.349l.005-.031c.063-.12.156-.229.156-.229l7.151-7.318a.637.637 0 0 0 .167-.599z" fill="currentColor"></path></svg>'
      }
    } : null), isVue3 ? [
      h("svg", {
        viewBox: "0 0 32 32"
      }, [
        h("path", {
          d: "M31.979 12.271c-.042-.135-.167-.297-.443-.344l-9.802-1.875s-.141-.031-.266-.094c-.12-.063-.167-.224-.167-.224s-4.708-8.458-4.839-8.708c-.13-.25-.323-.318-.464-.318s-.333.068-.464.318c-.13.25-4.839 8.708-4.839 8.708s-.047.161-.167.224c-.125.063-.266.094-.266.094S.736 11.875.46 11.922c-.276.052-.401.214-.443.344a.632.632 0 0 0 .167.599l7.151 7.323s.094.104.156.229c.021.135.005.281.005.281s-1.583 9.656-1.625 9.932a.61.61 0 0 0 .214.573c.109.083.307.141.557.016c.255-.125 9.083-4.349 9.083-4.349s.13-.057.271-.078c.135-.026.266.078.266.078s8.833 4.224 9.083 4.349s.453.068.563-.016a.63.63 0 0 0 .214-.573l-1.245-7.568c1.172-.724 1.901-1.385 2.469-2.333c-3.458 1.292-8.01 2.292-12.552 2.49c-1.224.052-3.214.13-4.635-.021c-.901-.094-1.557-.193-1.656-.583c-.068-.286.073-.615.729-1.109c1.271-.958 2.542-1.917 3.813-2.87c1.714-1.292 4.745-3.297 4.745-3.646c0-.375-2.859-1.036-5.38-1.036c-2.594 0-3.036.172-3.75.224c-.651.042-1.026.005-1.073-.188c-.078-.328.245-.516.786-.755c.943-.422 2.479-.792 2.646-.833c.26-.073 4.109-1.078 7.49-.714c1.755.182 4.328.891 4.328 1.698c0 .458-2.297 1.995-4.302 3.464c-1.531 1.125-2.958 2.083-2.958 2.25c0 .458 4.714 1.656 8.922 1.349l.005-.031c.063-.12.156-.229.156-.229l7.151-7.318a.637.637 0 0 0 .167-.599z",
          fill: "currentColor"
        })
      ])
    ] : []);
  }
});
var twitter = defineComponent({
  name: SocialPlatforms.TWITTER,
  setup() {
    const handleClick = useOpenShare(SocialPlatforms.TWITTER);
    return () => h("div", __spreadValues({
      class: "vue-share-popup__item",
      style: "background-color: #1a91da",
      on: {
        click: handleClick
      }
    }, isVue2 ? {
      domProps: {
        innerHTML: '<svg viewBox="0 0 24 24"><path d="M22.46 6c-.77.35-1.6.58-2.46.69c.88-.53 1.56-1.37 1.88-2.38c-.83.5-1.75.85-2.72 1.05C18.37 4.5 17.26 4 16 4c-2.35 0-4.27 1.92-4.27 4.29c0 .34.04.67.11.98C8.28 9.09 5.11 7.38 3 4.79c-.37.63-.58 1.37-.58 2.15c0 1.49.75 2.81 1.91 3.56c-.71 0-1.37-.2-1.95-.5v.03c0 2.08 1.48 3.82 3.44 4.21a4.22 4.22 0 0 1-1.93.07a4.28 4.28 0 0 0 4 2.98a8.521 8.521 0 0 1-5.33 1.84c-.34 0-.68-.02-1.02-.06C3.44 20.29 5.7 21 8.12 21C16 21 20.33 14.46 20.33 8.79c0-.19 0-.37-.01-.56c.84-.6 1.56-1.36 2.14-2.23z" fill="currentColor"></path></svg>'
      }
    } : null), isVue3 ? [
      h("svg", {
        viewBox: "0 0 24 24"
      }, [
        h("path", {
          d: "M22.46 6c-.77.35-1.6.58-2.46.69c.88-.53 1.56-1.37 1.88-2.38c-.83.5-1.75.85-2.72 1.05C18.37 4.5 17.26 4 16 4c-2.35 0-4.27 1.92-4.27 4.29c0 .34.04.67.11.98C8.28 9.09 5.11 7.38 3 4.79c-.37.63-.58 1.37-.58 2.15c0 1.49.75 2.81 1.91 3.56c-.71 0-1.37-.2-1.95-.5v.03c0 2.08 1.48 3.82 3.44 4.21a4.22 4.22 0 0 1-1.93.07a4.28 4.28 0 0 0 4 2.98a8.521 8.521 0 0 1-5.33 1.84c-.34 0-.68-.02-1.02-.06C3.44 20.29 5.7 21 8.12 21C16 21 20.33 14.46 20.33 8.79c0-.19 0-.37-.01-.56c.84-.6 1.56-1.36 2.14-2.23z",
          fill: "currentColor"
        })
      ])
    ] : []);
  }
});
var wechat = defineComponent({
  name: SocialPlatforms.WECHAT,
  setup() {
    const handleClick = useOpenShare(SocialPlatforms.WECHAT);
    return () => h("div", __spreadValues({
      class: "vue-share-popup__item",
      style: "background-color: #2aae67",
      on: {
        click: handleClick
      }
    }, isVue2 ? {
      domProps: {
        innerHTML: '<svg viewBox="0 0 24 24"><path d="M18.574 13.711a.91.91 0 0 0 .898-.898c0-.498-.399-.898-.898-.898s-.898.4-.898.898c0 .5.4.898.898.898zm-4.425 0a.91.91 0 0 0 .898-.898c0-.498-.4-.898-.898-.898c-.5 0-.898.4-.898.898c0 .5.399.898.898.898zm6.567 5.04a.347.347 0 0 0-.172.37c0 .048 0 .097.025.147c.098.417.294 1.081.294 1.106c0 .073.025.122.025.172a.22.22 0 0 1-.221.22c-.05 0-.074-.024-.123-.048l-1.449-.836a.799.799 0 0 0-.344-.098c-.073 0-.147 0-.196.024c-.688.197-1.4.295-2.161.295c-3.66 0-6.607-2.457-6.607-5.505c0-3.047 2.947-5.505 6.607-5.505c3.659 0 6.606 2.458 6.606 5.505c0 1.647-.884 3.146-2.284 4.154zM16.673 8.099a9.105 9.105 0 0 0-.28-.005c-4.174 0-7.606 2.86-7.606 6.505c0 .554.08 1.09.228 1.6h-.089a9.963 9.963 0 0 1-2.584-.368c-.074-.025-.148-.025-.222-.025a.832.832 0 0 0-.418.123l-1.748 1.005c-.05.025-.099.05-.148.05a.273.273 0 0 1-.27-.27c0-.074.024-.123.049-.197c.024-.024.246-.834.369-1.324c0-.05.024-.123.024-.172a.556.556 0 0 0-.221-.442C2.058 13.376 1 11.586 1 9.598C1 5.945 4.57 3 8.95 3c3.765 0 6.93 2.169 7.723 5.098zm-5.154.418c.573 0 1.026-.477 1.026-1.026c0-.573-.453-1.026-1.026-1.026s-1.026.453-1.026 1.026s.453 1.026 1.026 1.026zm-5.26 0c.573 0 1.027-.477 1.027-1.026c0-.573-.454-1.026-1.027-1.026c-.572 0-1.026.453-1.026 1.026s.454 1.026 1.026 1.026z" fill="currentColor"></path></svg>'
      }
    } : null), isVue3 ? [
      h("svg", {
        viewBox: "0 0 24 24"
      }, [
        h("path", {
          d: "M18.574 13.711a.91.91 0 0 0 .898-.898c0-.498-.399-.898-.898-.898s-.898.4-.898.898c0 .5.4.898.898.898zm-4.425 0a.91.91 0 0 0 .898-.898c0-.498-.4-.898-.898-.898c-.5 0-.898.4-.898.898c0 .5.399.898.898.898zm6.567 5.04a.347.347 0 0 0-.172.37c0 .048 0 .097.025.147c.098.417.294 1.081.294 1.106c0 .073.025.122.025.172a.22.22 0 0 1-.221.22c-.05 0-.074-.024-.123-.048l-1.449-.836a.799.799 0 0 0-.344-.098c-.073 0-.147 0-.196.024c-.688.197-1.4.295-2.161.295c-3.66 0-6.607-2.457-6.607-5.505c0-3.047 2.947-5.505 6.607-5.505c3.659 0 6.606 2.458 6.606 5.505c0 1.647-.884 3.146-2.284 4.154zM16.673 8.099a9.105 9.105 0 0 0-.28-.005c-4.174 0-7.606 2.86-7.606 6.505c0 .554.08 1.09.228 1.6h-.089a9.963 9.963 0 0 1-2.584-.368c-.074-.025-.148-.025-.222-.025a.832.832 0 0 0-.418.123l-1.748 1.005c-.05.025-.099.05-.148.05a.273.273 0 0 1-.27-.27c0-.074.024-.123.049-.197c.024-.024.246-.834.369-1.324c0-.05.024-.123.024-.172a.556.556 0 0 0-.221-.442C2.058 13.376 1 11.586 1 9.598C1 5.945 4.57 3 8.95 3c3.765 0 6.93 2.169 7.723 5.098zm-5.154.418c.573 0 1.026-.477 1.026-1.026c0-.573-.453-1.026-1.026-1.026s-1.026.453-1.026 1.026s.453 1.026 1.026 1.026zm-5.26 0c.573 0 1.027-.477 1.027-1.026c0-.573-.454-1.026-1.027-1.026c-.572 0-1.026.453-1.026 1.026s.454 1.026 1.026 1.026z",
          fill: "currentColor"
        })
      ])
    ] : []);
  }
});
var weibo = defineComponent({
  name: SocialPlatforms.WEIBO,
  setup() {
    const handleClick = useOpenShare(SocialPlatforms.WEIBO);
    return () => h("div", __spreadValues({
      class: "vue-share-popup__item",
      style: "background-color: #d52c2b",
      on: {
        click: handleClick
      }
    }, isVue2 ? {
      domProps: {
        innerHTML: '<svg viewBox="0 0 24 24"><path d="M17.525 11.378c1.263.392 2.669 1.336 2.669 3.004c0 2.763-3.98 6.239-9.964 6.239c-4.565 0-9.23-2.213-9.23-5.852c0-1.902 1.204-4.102 3.277-6.177c2.773-2.77 6.004-4.033 7.219-2.816c.537.537.588 1.464.244 2.572c-.178.557.525.25.525.25c2.24-.938 4.196-.994 4.909.027c.38.543.343 1.306-.008 2.19c-.163.407.048.471.36.563zm-7.282 7.939c3.641-.362 6.401-2.592 6.167-4.983c-.237-2.391-3.382-4.038-7.023-3.677c-3.64.36-6.403 2.59-6.167 4.98c.237 2.394 3.382 4.039 7.023 3.68zM6.16 14.438c.754-1.527 2.712-2.39 4.446-1.94c1.793.463 2.707 2.154 1.976 3.8c-.744 1.682-2.882 2.578-4.695 1.993c-1.752-.566-2.493-2.294-1.727-3.853zm1.446 2.587c.568.257 1.325.013 1.676-.55c.346-.568.163-1.217-.407-1.459c-.563-.237-1.291.008-1.64.553c-.354.547-.189 1.202.371 1.456zm2.206-1.808c.219.092.501-.012.628-.231c.123-.22.044-.466-.178-.548c-.216-.084-.486.018-.613.232c-.123.214-.054.458.163.547zM19.873 9.5a.725.725 0 1 1-1.378-.451a1.38 1.38 0 0 0-.288-1.357a1.395 1.395 0 0 0-1.321-.425a.723.723 0 1 1-.303-1.416a2.836 2.836 0 0 1 3.29 3.649zm-3.916-6.575A5.831 5.831 0 0 1 21.5 4.72a5.836 5.836 0 0 1 1.22 5.704a.838.838 0 0 1-1.06.54a.844.844 0 0 1-.542-1.062a4.143 4.143 0 0 0-4.807-5.327a.845.845 0 0 1-.354-1.65z" fill="currentColor"></path></svg>'
      }
    } : null), isVue3 ? [
      h("svg", {
        viewBox: "0 0 24 24"
      }, [
        h("path", {
          d: "M17.525 11.378c1.263.392 2.669 1.336 2.669 3.004c0 2.763-3.98 6.239-9.964 6.239c-4.565 0-9.23-2.213-9.23-5.852c0-1.902 1.204-4.102 3.277-6.177c2.773-2.77 6.004-4.033 7.219-2.816c.537.537.588 1.464.244 2.572c-.178.557.525.25.525.25c2.24-.938 4.196-.994 4.909.027c.38.543.343 1.306-.008 2.19c-.163.407.048.471.36.563zm-7.282 7.939c3.641-.362 6.401-2.592 6.167-4.983c-.237-2.391-3.382-4.038-7.023-3.677c-3.64.36-6.403 2.59-6.167 4.98c.237 2.394 3.382 4.039 7.023 3.68zM6.16 14.438c.754-1.527 2.712-2.39 4.446-1.94c1.793.463 2.707 2.154 1.976 3.8c-.744 1.682-2.882 2.578-4.695 1.993c-1.752-.566-2.493-2.294-1.727-3.853zm1.446 2.587c.568.257 1.325.013 1.676-.55c.346-.568.163-1.217-.407-1.459c-.563-.237-1.291.008-1.64.553c-.354.547-.189 1.202.371 1.456zm2.206-1.808c.219.092.501-.012.628-.231c.123-.22.044-.466-.178-.548c-.216-.084-.486.018-.613.232c-.123.214-.054.458.163.547zM19.873 9.5a.725.725 0 1 1-1.378-.451a1.38 1.38 0 0 0-.288-1.357a1.395 1.395 0 0 0-1.321-.425a.723.723 0 1 1-.303-1.416a2.836 2.836 0 0 1 3.29 3.649zm-3.916-6.575A5.831 5.831 0 0 1 21.5 4.72a5.836 5.836 0 0 1 1.22 5.704a.838.838 0 0 1-1.06.54a.844.844 0 0 1-.542-1.062a4.143 4.143 0 0 0-4.807-5.327a.845.845 0 0 1-.354-1.65z",
          fill: "currentColor"
        })
      ])
    ] : []);
  }
});
var douban = defineComponent({
  name: SocialPlatforms.DOUBAN,
  setup() {
    const handleClick = useOpenShare(SocialPlatforms.DOUBAN);
    return () => h("div", __spreadValues({
      class: "vue-share-popup__item",
      style: "background-color: #2e963d",
      on: {
        click: handleClick
      }
    }, isVue2 ? {
      domProps: {
        innerHTML: '<svg viewBox="0 0 24 24"><path d="M16.314 19.138h4.065a.62.62 0 0 1 .621.62v.621a.62.62 0 0 1-.62.621H3.62a.62.62 0 0 1-.62-.62v-.621a.62.62 0 0 1 .62-.621h3.754l-.96-3.104h2.19a.62.62 0 0 1 .59.425l.892 2.679H13.6l1.225-4.035H5.172a.62.62 0 0 1-.62-.62V7.345a.62.62 0 0 1 .62-.62h13.656a.62.62 0 0 1 .62.62v7.138a.62.62 0 0 1-.62.62h-1.289l-1.225 4.035zM3.931 3h16.138a.62.62 0 0 1 .62.62v.621a.62.62 0 0 1-.62.621H3.931a.62.62 0 0 1-.62-.62V3.62A.62.62 0 0 1 3.93 3zM7.19 8.586a.155.155 0 0 0-.156.155v4.035c0 .086.07.155.156.155h9.62c.086 0 .156-.07.156-.155V8.74a.155.155 0 0 0-.156-.155H7.19z" fill="currentColor"></path></svg>'
      }
    } : null), isVue3 ? [
      h("svg", {
        viewBox: "0 0 24 24"
      }, [
        h("path", {
          d: "M16.314 19.138h4.065a.62.62 0 0 1 .621.62v.621a.62.62 0 0 1-.62.621H3.62a.62.62 0 0 1-.62-.62v-.621a.62.62 0 0 1 .62-.621h3.754l-.96-3.104h2.19a.62.62 0 0 1 .59.425l.892 2.679H13.6l1.225-4.035H5.172a.62.62 0 0 1-.62-.62V7.345a.62.62 0 0 1 .62-.62h13.656a.62.62 0 0 1 .62.62v7.138a.62.62 0 0 1-.62.62h-1.289l-1.225 4.035zM3.931 3h16.138a.62.62 0 0 1 .62.62v.621a.62.62 0 0 1-.62.621H3.931a.62.62 0 0 1-.62-.62V3.62A.62.62 0 0 1 3.93 3zM7.19 8.586a.155.155 0 0 0-.156.155v4.035c0 .086.07.155.156.155h9.62c.086 0 .156-.07.156-.155V8.74a.155.155 0 0 0-.156-.155H7.19z",
          fill: "currentColor"
        })
      ])
    ] : []);
  }
});
export { douban, qzone, twitter, wechat, weibo };
//# sourceMappingURL=index.es.js.map
